package de.arindy.dicetower

import io.quarkus.qute.TemplateInstance
import jakarta.ws.rs.GET
import jakarta.ws.rs.Path
import jakarta.ws.rs.PathParam
import jakarta.ws.rs.Produces
import jakarta.ws.rs.core.MediaType

@Path("overlay/{diceid}")
class OverlayResource {

    @GET
    @Produces(MediaType.TEXT_HTML)
    fun get(@PathParam("diceid") diceid: String): TemplateInstance {
        return Templates.overlay(diceid)
    }

    @GET
    @Path("/results")
    @Produces(MediaType.TEXT_HTML)
    fun results(@PathParam("diceid") room: String): TemplateInstance {
        return Templates.results(room)
    }
}
